Subject: Re: bug#44682: 28.0.50; dired on file with space first: dired-get-file-for-visit: File no longer exists; type ‘g’ to update Dired buffer

From: Jean Louis <[email-masked]>
Date: Mon, 16 Nov 2020 20:45:14 +0300

* Drew Adams <[email-masked]> [2020-11-16 19:31]:
> > The directory folder has probably a space in the name. It is hard to
> > know for me who made this directory and how. People are using their
> > GUI.
> > 
> > Error in Dired is:
> > dired-get-file-for-visit: File no longer exists; type ‘g’ to update
> > Dired buffer
> > 
> > It should be possible to handle such directories.
> > 
> >   /scp:root@room:/home/study/Movies:
> >   total used in directory 879904 available 26.5 GiB
> >   drwxr-xr-x  2 study study      4096 Nov 14 14:47  folder
> 
> FWIW, I don't see this problem on MS Windows, with Emacs 26.3.
> (dired-get-file-for-visit) just returns the absolute file name,
> with the space at the beginning of the relative file name,
> " folder".

(dired-get-marked-files) gives me:
("/scp:root@room:/home/study/Movies/folder")

But in console I can do:

$ cd " folder"

with space there, and I can enter inside.

So it must be space in front.